<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<!-- iEb 2.0 version 2.5.2 (2022-01-26) -->

	<xsl:import href="../../../common/2_0/basis.xsl" />
		<xsl:template match="*" mode="getDetails" priority="100">
		<xsl:param name="pRule">FOUT</xsl:param>
		<xsl:choose>
			<xsl:when test="$pRule='CS002'">De waarde moet voldoen aan de 11-proef.</xsl:when>
			<xsl:when test="$pRule='CS015'">BerichtSubversie vullen met 0.</xsl:when>
			<xsl:when test="$pRule='CS025'">BerichtVersie vullen met 2.</xsl:when>
			<xsl:when test="$pRule='CS125'">Vullen met '1' (eerste aanlevering), '2' (wijzigen aanlevering) of '3' (verwijderen aanlevering).</xsl:when>
			<xsl:when test="$pRule='CS332'">Vullen met een datum die groter dan of gelijk is aan 2020-01-01.</xsl:when>
			<xsl:when test="$pRule='CS334'">KostprijsStartdatum vullen met een datum die groter dan of gelijk is aan EbStartdatum.</xsl:when>
			<xsl:when test="$pRule='CS342'">Indien gevuld, dan vullen met een datum groter of gelijk aan BwStartdatum</xsl:when>
			<xsl:when test="$pRule='TR056'">Identificatie moet per berichtsoort uniek zijn voor de verzendende partij.</xsl:when>
			<xsl:when test="$pRule='TR071'">StatusAanlevering mag niet de waarde '3' bevatten als er voor de betreffende melding StartEb al een StopEb is verstuurd.</xsl:when>
			<xsl:when test="$pRule='TR102'">Bij een nieuwe aanlevering moet de sleutel van de aanlevering voor de betreffende client niet alleen uniek zijn binnen het bericht zelf maar ook in combinatie met alle reeds ontvangen berichten.</xsl:when>
			<xsl:when test="$pRule='TR103'">Indien StatusAanlevering de waarde '2' (Gewijzigde aanlevering) of '3' (verwijderen aanlevering) bevat, dan moet voor de betreffende client een eerdere aanlevering met StatusAanlevering '1' (Eerste aanlevering) verstuurd zijn met dezelfde sleutel</xsl:when>
			<xsl:when test="$pRule='TR104'">Een verwijderd bericht kan niet gewijzigd worden.</xsl:when>
			<xsl:when test="$pRule='TR112'">Als StatusAanlevering de waarde '1' (eerste aanlevering) heeft, moet EbStartDatum groter dan of gelijk zijn aan de dagtekening van het bericht minus 12 maanden.</xsl:when>
			<xsl:when test="$pRule='TR113'">Bij een nieuwe aanlevering mag deze datum maximaal 1 maand in de toekomst liggen.</xsl:when>
			<xsl:when test="$pRule='TR114'">Bij een gewijzigde aanlevering mag deze datum maximaal 36 maanden in het verleden liggen, of moet die gelijk zijn aan de EbStartDatum van het actuele bericht Start eigen bijdrage.</xsl:when>
			<xsl:when test="$pRule='TR115'">Bij een gewijzigde aanlevering mag deze datum maximaal 1 maand in de toekomst liggen, of moet die gelijk zijn aan de EbStartDatum van het actuele bericht Start eigen bijdrage.</xsl:when>
			<xsl:when test="$pRule='TR116'">Bij een gewijzigde aanlevering mag deze datum maximaal 36 maanden in het verleden liggen.</xsl:when>
			<xsl:when test="$pRule='TR117'">Bij een gewijzigde aanlevering mag deze datum maximaal 1 maand in de toekomst liggen.</xsl:when>
			<xsl:when test="$pRule='TR135'">Vullen met een bestaande datum die niet in de toekomst ligt.</xsl:when>
			<xsl:when test="$pRule='TR328'">Vullen met een datum die groter dan of gelijk is aan de Startdatum van het laatste StartEb-bericht met StatusAanlevering '1' (eerste aanlevering) of StatusAanlevering '2' (gewijzigde aanlevering) en hetzelfde EbStartNummer.</xsl:when>
			<xsl:when test="$pRule='TR330'">Het laatste StartEb-bericht met hetzelfde EbStartNummer heeft StatusAanlevering '1' (eerste aanlevering) of StatusAanlevering '2' (Gewijzigde aanlevering).</xsl:when>
			<xsl:when test="$pRule='TR378'">Vullen met een bestaande gemeentecode uit het overzicht van CBS.</xsl:when>
			<xsl:when test="$pRule='TR391'">Als StatusAanlevering de waarde '1' (eerste aanlevering) of waarde '2'(gewijzigde aanlevering) heeft, moet BwStartdatum kleiner dan of gelijk zijn aan de dagtekening van het bericht.</xsl:when>
			<xsl:when test="$pRule='TR392'">Als StatusAanlevering de waarde '1' (eerste aanlevering) of waarde '2' (gewijzigde aanlevering) heeft, moet BwStopdatum kleiner dan of gelijk zijn aan de dagtekening van het bericht</xsl:when>
			<xsl:when test="$pRule='TR395'">Als StatusAanlevering waarde '2' (gewijzigde aanlevering) heeft, moet BwStartdatum groter dan of gelijk zijn aan de dagtekening van het bericht minus 36 maanden, of gelijk zijn aan de BwStartdatum van de actuele aanlevering met gelijk BwStartNummer.</xsl:when>
			<xsl:when test="$pRule='TR396'">Als StatusAanlevering waarde '2' (gewijzigde aanlevering) heeft, moet BwStopdatum groter dan of gelijk zijn aan de dagtekening van het bericht minus 36 maanden.</xsl:when>
			<xsl:when test="$pRule='TR400'">Als StatusAanlevering waarde '1' (eerste aanlevering) of StatusAanlevering waarde '2' (gewijzigde aanlevering) heeft mag deze periode niet overlappen met een eerder aangeleverde periode eigen bijdrage.</xsl:when>
			<xsl:when test="$pRule='TR401'">BwStartdatum vullen met een datum die groter dan of gelijk is aan de implementatiedatum iEb 2.0</xsl:when>
			<xsl:when test="$pRule='TR402'">Als StatusAanlevering waarde '3' (verwijderen aanlevering) heeft dan mag BwStartdatum maximaal 36 maanden in het verleden liggen.</xsl:when>
			<xsl:when test="$pRule='TR405'">Als de aanlevering StatusAanlevering waarde '1' (eerste aanlevering) heeft mag er geen andere aanlevering met gelijk BwStartNummer zijn voor de afzender</xsl:when>
			<xsl:when test="$pRule='TR406'">Als StatusAanlevering de waarde '1'(eerste aanlevering) heeft, moet BwStartDatum groter dan of gelijk zijn aan de dagtekening van het bericht minus 12 maanden.</xsl:when>
			<xsl:when test="$pRule='TR409'">KostprijsBedrag vullen met een bedrag groter dan of gelijk aan het nationaal tarief geldend op KostprijsStartdatum.</xsl:when>
		</xsl:choose>
	</xsl:template>
</xsl:stylesheet>
