<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
                xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:wmo403="http://www.istandaarden.nl/ieb/2_0/wmo403/schema"
                xmlns:wmo401="http://www.istandaarden.nl/ieb/2_0/wmo401/schema">
    <!-- iEb 2.0 CS332 version 2.5.2 (2022-01-26) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="CS332"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="CS332"/>
    </xsl:template>

    <xsl:template
            match="wmo401:StartEigenBijdrage/wmo401:EbStartdatum" mode="CS332">
        <xsl:call-template name="checkDateRelation">
            <xsl:with-param name="pDate">2020-01-01</xsl:with-param>
            <xsl:with-param name="pRelation">equalsGt</xsl:with-param>
            <xsl:with-param name="pRule">CS332</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

    <xsl:template
            match="wmo403:StopEigenBijdrage/wmo403:EbStopdatum" mode="CS332">
        <xsl:call-template name="checkDateRelation">
            <xsl:with-param name="pDate">2020-01-01</xsl:with-param>
            <xsl:with-param name="pRelation">equalsGt</xsl:with-param>
            <xsl:with-param name="pRule">CS332</xsl:with-param>
        </xsl:call-template>
    </xsl:template>

</xsl:stylesheet>