<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:wmo401="http://www.istandaarden.nl/ieb/2_0/wmo401/schema"
>
    <!-- iEb 2.0 TR112 version 2.5.2 (2022-01-26) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR112"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR112"/>
    </xsl:template>

    <xsl:template match="wmo401:StartEigenBijdrage/wmo401:EbStartdatum" mode="TR112">
        <xsl:if test="../wmo401:StatusAanlevering/text()=1">
            <xsl:call-template name="checkDateRelation">
                <xsl:with-param name="pDate"
                                select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
                <xsl:with-param name="pRelation">monthsAfter</xsl:with-param>
                <xsl:with-param name="pExtra">-12</xsl:with-param>
                <xsl:with-param name="pRule">TR112</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>