<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:wmo403="http://www.istandaarden.nl/ieb/2_0/wmo403/schema"
>
    <!-- iEb 2.0 TR114 version 2.5.2 (2022-01-26) -->

    <xsl:import href="../common/basis.xsl"/>
    <xsl:template match="*" mode="TR116"/>
    <xsl:template match="*" mode="check">
        <xsl:apply-templates select="*" mode="TR116"/>
    </xsl:template>

    <xsl:template match="wmo403:StopEigenBijdrage/wmo403:EbStopdatum" mode="TR116">
        <xsl:if test="../wmo403:StatusAanlevering/text()=2">
            <xsl:call-template name="checkDateRelation">
                <xsl:with-param name="pDate"
                                select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
                <xsl:with-param name="pRelation">monthsAfter</xsl:with-param>
                <xsl:with-param name="pExtra">-36</xsl:with-param>
                <xsl:with-param name="pRule">TR116</xsl:with-param>
            </xsl:call-template>
        </xsl:if>
    </xsl:template>

</xsl:stylesheet>