<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
				xmlns:wmo407="http://www.istandaarden.nl/ieb/2_0/wmo407/schema"
>
	<!-- iEb 2.0 TR402 version 2.5.2 (2022-01-26) -->

	<xsl:import href="../common/basis.xsl"/>
	<xsl:template match="*" mode="TR402"/>
	<xsl:template match="*" mode="check">
		<xsl:apply-templates select="*" mode="TR402"/>
	</xsl:template>

	<xsl:template match="wmo407:PeriodeEigenBijdrageBw/wmo407:BwStartdatum" mode="TR402">
		<xsl:if test="../wmo407:StatusAanlevering/text()='3'">
			<xsl:call-template name="checkDateRelation">
				<xsl:with-param name="pDate"
								select="ancestor-or-self::*[local-name() = 'Bericht']/*[local-name() = 'Header']/*[local-name() = 'BerichtIdentificatie']/*[local-name() = 'Dagtekening']"/>
				<xsl:with-param name="pRelation">monthsAfter</xsl:with-param>
				<xsl:with-param name="pExtra">-36</xsl:with-param>
				<xsl:with-param name="pRule">TR402</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
	</xsl:template>

</xsl:stylesheet>